Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class OpenSupport

    java.lang.Object
      org.openide.windows.CloneableOpenSupport
          org.openide.loaders.OpenSupport

Direct Known Subclasses:
  EditorSupport

    public abstract class OpenSupport

extends CloneableOpenSupport

Simple support for an openable file. Can be used either as an `OpenCookie`, `ViewCookie`, or `CloseCookie`, depending on which cookies the subclass implements.

Nested Class Summary
`static class` | `OpenSupport.Env` Environment that connects the support together with DataObject.

Field Summary
`protected MultiDataObject.Entry` | `entry` Entry to work with.

Fields inherited from class org.openide.windows.CloneableOpenSupport
`allEditors, env`

Constructor Summary
`` | `OpenSupport(MultiDataObject.Entry entry)` New support for a given entry.
`protected` | `OpenSupport(MultiDataObject.Entry entry, OpenSupport.Env env)` Constructor that allows subclasses to provide their own environment.

Method Summary
`protected String` | `messageOpened()` Message to display when an object has been opened.
`protected String` | `messageOpening()` Message to display when an object is being opened.

Methods inherited from class org.openide.windows.CloneableOpenSupport
`canClose, close, close, createCloneableTopComponent, edit, open, openCloneableTopComponent, view`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entry

    protected MultiDataObject.Entry entry

  Entry to work with.

Constructor Detail

### OpenSupport

    public OpenSupport(MultiDataObject.Entry entry)

  New support for a given entry. The file is taken from the entry and is updated if the entry moves or renames itself.

  Parameters:
    `entry` - entry to create instance from

### OpenSupport

    protected OpenSupport(MultiDataObject.Entry entry,
                          OpenSupport.Env env)

  Constructor that allows subclasses to provide their own environment. Used probably only by EditorSupport.

  Parameters:
    `entry` - the entry to work on
    `env` - the environment to work on

Method Detail

### messageOpening

    protected String messageOpening()

  Message to display when an object is being opened.

  Specified by:
    `messageOpening` in class `CloneableOpenSupport`
  Returns:
    the message or null if nothing should be displayed

### messageOpened

    protected String messageOpened()

  Message to display when an object has been opened.

  Specified by:
    `messageOpened` in class `CloneableOpenSupport`
  Returns:
    the message or null if nothing should be displayed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.